
#define MAXNUM_HELPLINES 108

static char *helpText[MAXNUM_HELPLINES] = {
" ",
"@t@b@m  User interface general information.",
" ",
"  When started, xisp displays a form with five buttons and two menus.",
"  Normally, in order to commence dialing, an ISP must be selected. The",
"  one selected by default right after startup is the first entry in the",
"  list of ISP's. The \"Quit\" button is always activated. The other",
"  button activated at this time is the \"Connect\" button. After a",
"  connection is initiated, and up until a ppp link is established,",
"  \"Connect\" is deactivated while \"Interrupt\" is activated. After a link",
"  is established, \"Interrupt\" is deactivated and \"Disconnect\" is",
"  activated. The fifth button labeled \"ARD\" indicates whether or not",
"  automatic redialing is desired for the selected ISP. When automatic",
"  redialing is indeed selected, if the PPP connection drops without the",
"  user explicitly pressing \"Disconnect\", redialing occurs. The \"Help\"",
"  menu selection is self explanatory, I guess :). The \"Options\" menu",
"  contains three items, \"Select ISP\", \"Account Data\" and \"Dialing Data\".",
" ",
"  \"Select ISP\"",
"     Brings up a list of ISP's to choose from. The first time xisp is",
"     executed all ISP names will be blank, as indicated by the '~'",
"     character (I wonder where I got that idea :)). One can edit the ISP",
"     name by marking the entry and then pressing \"Rename\", or double",
"     clicking on the entry. Pressing \"OK\" returns you to the main",
"     program window and sets your selection as the current ISP.",
" ",
"  \"Account Data\"",
"     Brings up a window with three input fields. The first is the list",
"     of phone numbers to dial for the selected ISP, the second is the",
"     user account name to use, and the third is the password. More than",
"     one telephone numbers, and up to a total of 8, can be entered by",
"     separating them with the ';' character. The total internal length",
"     of a phone number is currently limited to 32 characters. Any",
"     modifications you make to any input field are entered into the",
"     corresponding record for the current ISP in the xisp resource file.",
"     A brief note on password security is in order here. The plaintext",
"     password entered in the \"Password\" input field is encoded using",
"     encrypt with a key saved in the xisp executable. This key is itself",
"     scrambled so that it is not visible in the xisp binary. Since any",
"     one having access to the source can eventually come up with the key",
"     used and potentially decode users' .xisprc entries yielding the",
"     plaintext ISP passwords, system administrators installing xisp are",
"     URGED to change the key employed. For more details, read the",
"     SECURITY file included with xisp distribution.",
" ",
"  \"Dialing Data\"",
"     Brings up a window with fields for entering the two dialing",
"     parameters, namely the number of redials and the inter-dialing",
"     delay, as well as up to eight user customizable script lines. The",
"     first two fields are pretty straight forward, and default values for",
"     both are suggested. In the third input field, in the script section",
"     that is, the user must enter the script lines employed by chat to",
"     successfully negotiate a login for the particular ISP. For syntax",
"     and various examples please see the chat(8) manual page. The",
"     following simple example should give you an idea. Let us assume",
"     that the ISP of interest employs a terminal server which prompts",
"     the user with 'Username:', then with 'password:' and then gives the",
"     server prompt, a single '>', at which point the user must type 'ppp'",
"     and press enter. The user customizable script lines for the above",
"     procedure would have to be:",
" ",
"         ername:--ername: %s",
"         ssword: %s",
"         >--> ppp",
" ",
"     Note the two \"%s\"'s in the script lines. The first one is (quite",
"     obviously) replaced by your user account name (by the xisp program",
"     when it creates the dialing environment file), and the second one",
"     by your password. Exactly two \"%s\"'s are required in your script",
"     lines. Entering more or less will make xisp print a message and",
"     abort the dial. The script employed by xispdial for the connection",
"     is the concatenation of its internal script, and the user customizable",
"     script lines entered via \"Dialing Data\". The internal script used",
"     is the following:",
" ",
"         TIMEOUT  3",
"         ABORT    BUSY",
"         ABORT    'NO CARRIER'",
"         ABORT    enied",
"         ABORT    imeout",
"         ''       AT\\sDT\\s<the phone number>",
"         TIMEOUT  50",
"         CONNECT  ''",
"         TIMEOUT  5",
" ",
"     As seen above, the timeout value after connection is set to 5 seconds.",
"     If for some reason it takes more than that to log into a system, one",
"     could specify a new timeout value in the user script lines. For",
"     instance, in the example given above , if it takes 6 seconds for a",
"     prompt from the terminal server in question, the user customizable",
"     script lines could be:",
" ",
"         ername:--ername: %s",
"         ssword: %s",
"         TIMEOUT 10",
"         >--> ppp",
" ",
"     allowing 10 (6 + an extra 4) seconds for receiving the '>' character.",
" ",
"  The program main window includes four connection indicators. The \"IP\"",
"  indicator prints the IP address assigned to you after successfully",
"  establishing a ppp link. The \"Status\" indicator is self explanatory I",
"  guess :). The \"Speed\" indicator prints the speed as returned by the",
"  modem \"CONNECT\" message, and the \"Connect Time\" indicator measures",
"  your connection time with a resolution of five seconds. The measured",
"  time will remain there after disconnection, until a new dialing",
"  sequence is initiated.",
" "
};

